'''
Clase MyUser. Representa un usuario de Telegram dentro de la aplicacion
'''
class MyUser():
    '''
    Constructor de la clase
    @param self: el propio objeto MyUser
    @param idUser: identificador del usuario proporcionado por Telegram
    @param name: nombre del usuario, definido por el propio usuario en su perfil de Telegram
    @param username: alias unico del usuario, definido por el propio usuario en su perfil de Telegram
    '''
    def __init__(self, idUser, name, username):
        self.idUser = idUser
        self.name = name
        self.username = username
     
 	#--------GETTERS------------    
    def getId(self):
        return self.idUser
    
    def getName(self):
        return self.name
    
    def getUsername(self):
        return self.username