'''
Clase Task. Representa una tarea de una checklist.
'''
class Task:
	Tasks = {}
	
	'''
    Constructor de la clase
    @param self: el propio objeto Task
    @param name: nombre de la tarea
    @param idList: identificador de checklist a la cual pertenece la tarea
    '''
	def __init__(self, name, idList):
		self.name = name
		self.idList = idList
		self.owner = None
		self.checked = False
		
	#--------GETTERS------------
	def getName(self):
		return self.name

	def getIdList(self):
		return self.idList
		
	def getOwner(self):
		return self.owner
		
	def isChecked(self):
		return self.checked
		
	#--------SETTERS------------
	def setName(self, name):
		self.name = name

	def setIdList(self, idList):
		self.idList = idList
		
	def setOwner(self, owner):
		self.owner = owner
	
	def setChecked(self, checked):
		if isinstance(checked, str):
			if checked == 'True':
				checked = True
			elif checked == 'False':
				checked = False
		self.checked = checked
		